Diligence.Get
Try it in Swagger
Endpoint
- Method:
GET
- Route:
Diligence/Get/{workOrder}
- Authentication:
Authorize
Request Schema
| Header |
Required |
Notes |
X-Api-Key |
Required when tenant is not resolved by subdomain |
Resolves the tenant/customer database. |
Authorization: Bearer {token} |
Required for authorized endpoints |
Get a token from Auth/Token or Session/Create. |
Path Parameters
| Field |
Type |
Required |
Notes |
workOrder |
string |
Yes |
Route segment. |
This endpoint does not accept a JSON request body.
Expected Response Schema
Status Codes
| Status |
Notes |
200 OK |
Returned by the controller for this operation. |
Success Body
Response type: IReadOnlyList<PWorkOrderDiligenceEntity>
| Field |
Type |
Max Length |
Notes |
workOrder |
string |
|
|
lineItem |
int |
|
|
diligenceDate |
DateTime? |
|
|
diligenceTime |
DateTime? |
|
|
comment |
int? |
|
|
report |
string |
|
|
emailStatusToAttorney |
int? |
|
|
street |
string |
|
|
apartment |
string |
|
|
city |
string |
|
|
state |
string |
|
|
zip |
string |
|
|
phone |
string |
|
|
businessName |
string |
|
|
nonServiceFee |
decimal? |
|
|
addressLineItem |
int? |
|
|
latitudeLongitude |
string |
|
|
uTPOwnerCommentId |
int? |
|
|
uTPServerCommentId |
int? |
|
|
Response Sample
[
{
"workOrder": "C123456",
"lineItem": 1,
"diligenceDate": "2026-05-07T00:00:00",
"diligenceTime": "09:30 AM",
"comment": 123,
"report": "Attempted service at listed address.",
"emailStatusToAttorney": 123,
"street": "123 Main St",
"apartment": "Suite 200",
"city": "Los Angeles",
"state": "CA",
"zip": "90012",
"phone": "2135550100",
"businessName": "Acme Corporation",
"nonServiceFee": 123.45,
"addressLineItem": 123,
"latitudeLongitude": "34.052235,-118.243683",
"uTPOwnerCommentId": 123,
"uTPServerCommentId": 123
}
]